The Horizon vRealize Orchestrator plug-in acts as middleware between VMware Horizon 6 or VMware Horizon 7 , vRealize Orchestrator, vRealize Automation, and App Volumes Server. To be able to install and use the Horizon vRealize Orchestrator plug-in, your system must meet certain functional prerequisites.

VMware Horizon 6 and VMware Horizon 7

You must have access to an instance of Horizon 6 View Connection Server 6.2.3, or Horizon View Connection Server 7.0.3 or 7.1. The Horizon vRealize Orchestrator plug-in works with VMware Horizon 6 version 6.2.3, and VMware Horizon 7 versions 7.0.3 and 7.1.

For more information about setting up VMware Horizon, see the View Installation and View Administration documents for the corresponding version, available from the documentation page at https://www.vmware.com/support/pubs/view_pubs.html.

vRealize Orchestrator

Verify that you have a running instance of Orchestrator. You can log in to the Orchestrator configuration interface at http://orchestrator_server:8283. The Horizon vRealize Orchestrator plug-in 1.4 works with vRealize Orchestrator 6.0.5, and 7.2 or later.

Note:

For vRealize Orchestrator 6.0.5, no installable Windows client version is available. You must use a browser to log in to Orchestrator, and a Java-based client is used.

For information about setting up Orchestrator, see Installing and Configuring VMware vRealize Orchestrator, available from the documentation page at https://www.vmware.com/support/pubs/orchestrator_pubs.html.

vRealize Automation

You must have access to a vRealize Automation server. The Horizon vRealize Orchestrator plug-in works with vRealize Automation 6.2.4, and 7.2 or later. The embedded Orchestrator server packaged with vRealize Automation 6.2.4, and 7.2 or later is compatible with this plug-in. Alternatively, you can install the plug-in on an external vRealize Orchestrator server.

For information about setting up vRealize Automation, see vRealize Automation Installation and Configuration, available from the documentation page at https://www.vmware.com/support/pubs/vcac-pubs.html.

App Volumes Server

You must have access to an App Volumes Server instance before you can use the Self Service Request Application Stack workflow. The Horizon vRealize Orchestrator plug-in works with App Volumes Server 2.11 or later. Verify that you have the credentials of a user that has the App Volumes Administrators role.

For information about installing and setting up an App Volumes Server instance , see App Volumes User Guide, available from the documentation page at https://www.vmware.com/support/pubs/app-volumes-pubs.html.

vCenter Server and vCenter Single Sign-On

Verify that you have access to an instance of vCenter Server 6.5, or VCenter Server 6.0 or later, and that you are using vCenter™ Single Sign-On™ 2.0 or later.

For information about setting up vCenter Server, see vSphere Installation and Setup, available from the documentation page at https://www.vmware.com/support/pubs/vsphere-esxi-vcenter-server-pubs.html.